package com.fizz.business.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.fizz.business.domain.SetupTensionLeveler;

/**
 * 平整机张力Mapper接口
 */
public interface SetupTensionLevelerMapper
{
    SetupTensionLeveler selectByKey(@Param("steelGrade") String steelGrade,
                                    @Param("thick") Float thick,
                                    @Param("yieldStren") Float yieldStren);

    List<SetupTensionLeveler> selectList(SetupTensionLeveler query);

    int insert(SetupTensionLeveler entity);

    int updateByKey(SetupTensionLeveler entity);

    int deleteByKey(@Param("steelGrade") String steelGrade,
                    @Param("thick") Float thick,
                    @Param("yieldStren") Float yieldStren);
}

